package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleOrderMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsSaleOrderMaterialMapper extends IBaseMapper<AmsSaleOrderMaterial, BigDecimal> {
    //查询主键最大值
    BigDecimal selectMaxId();
    //获取要渲染的值
    List<Map<String, Object>> selectBySaleOrderMaterialId(BigDecimal saleOrderMaterialId);
    //通过主键获得收货地址
    String getAddress(BigDecimal saleOrderMaterialId);
    List<Map<String, Object>> getSaleMaterial(Map<String, Object> mapValue);

    Integer selectById(BigDecimal saleOrderMaterialId);

    Integer selectByCxh(Map<String, Object> m);
}